Last Comment Bug 628616 - Make sure suggestions from <datalist> are shown in Firefox Mobile UI
: Make sure suggestions from <datalist> are shown in Firefox Mobile UI
Status: VERIFIED FIXED
: testcase
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: All All
: P3 enhancement (vote)
: ---
Assigned To: Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
:
:
Mentors:
Depends on: 638833
Blocks: 616348 556007
  Show dependency treegraph
 
Reported: 2011-01-25 03:27 PST by Mounir Lamouri (:mounir)
Modified: 2011-04-15 05:39 PDT (History)
7 users (show)
mounir: in‑testsuite+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Testcase (233 bytes, text/html)
2011-01-25 03:29 PST, Mounir Lamouri (:mounir)
no flags Details
Patch (7.16 KB, patch)
2011-03-02 10:53 PST, Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
no flags Details | Diff | Splinter Review
screenshot (10.26 KB, image/png)
2011-03-30 10:45 PDT, Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
no flags Details
Patch (7.63 KB, patch)
2011-03-30 10:46 PDT, Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
mark.finkle: review+
Details | Diff | Splinter Review
Tests (7.47 KB, patch)
2011-03-30 17:52 PDT, Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
mark.finkle: review+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2011-01-25 03:27:39 PST
With <datalist> and the list attribute on the input element, authors can provide suggestions to the user. On Firefox Desktop, they are shown like autocomplete suggestions. It would be nice to have them shown in Firefox Mobile given that authors should check if list and datalist are available and might assume that it will work on Firefox Mobile.
Comment 1 Mounir Lamouri (:mounir) 2011-01-25 03:29:35 PST
Created attachment 506705 [details]
Testcase
Comment 2 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-01-25 04:29:59 PST
Is it going to break Fennec? :D
Comment 3 Mounir Lamouri (:mounir) 2011-01-26 06:10:21 PST
It should not ;)
Comment 4 Mounir Lamouri (:mounir) 2011-01-31 16:06:34 PST
I don't think this should be considered as an enhancement: feature detection will return a false positive on Firefox Mobile if it's not implemented.
Comment 5 Martijn Wargers [:mwargers] (not working for Mozilla) 2011-02-01 05:07:49 PST
But it is implemented in Firefox Mobile, isn't it? There's just no UI for it, atm.
Comment 6 Mounir Lamouri (:mounir) 2011-02-01 05:38:18 PST
(In reply to comment #5)
> But it is implemented in Firefox Mobile, isn't it? There's just no UI for it,
> atm.

It's implemented in Gecko and Firefox has an UI for it, not Firefox Mobile. That means you can't use the feature in Firefox Mobile.
Comment 7 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-02-01 05:39:18 PST
I'm actually reworking the autocompletion UI for Firefox Mobile, I will have a look to see if I can fix that in the process
Comment 8 Anthony Ricaud (:rik) 2011-02-25 08:29:01 PST
If we can't implement a UI for <datalist>, we should show the content of the <datalist> element (as if it was not implemented).

I've recently fixed a similar bug in WebKit : https://bugs.webkit.org/show_bug.cgi?id=52214 and I'd be sad if Firefox made the same mistake :(
Comment 9 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-03-02 10:53:34 PST
Created attachment 516311 [details] [diff] [review]
Patch

The patch add support for the suggestions thought the new autocomplete mechanism. For the moment the suggestions have the same exact look as normal autocomplete results (probably need Madhava's for that)
Comment 10 Mark Finkle (:mfinkle) (use needinfo?) 2011-03-02 11:30:09 PST
This patch won't make it for Fennec 4. Please file another bug to do any type of work to disable datalist support from the platform for Fennec 4.0
Comment 11 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-03-04 09:30:04 PST
I have filled bug 638833 for moving to display: inline from  display: none; for the moment.
Comment 12 Mark Finkle (:mfinkle) (use needinfo?) 2011-03-30 10:25:45 PDT
any screenshots I can see?
Comment 13 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-03-30 10:45:46 PDT
Created attachment 523050 [details]
screenshot
Comment 14 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-03-30 10:46:24 PDT
Created attachment 523052 [details] [diff] [review]
Patch

And the patch updated on trunk
Comment 15 Mark Finkle (:mfinkle) (use needinfo?) 2011-03-30 11:28:35 PDT
Comment on attachment 523052 [details] [diff] [review]
Patch

Needs tests!
Comment 16 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-03-30 17:52:16 PDT
Created attachment 523186 [details] [diff] [review]
Tests

Tests!
Comment 17 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-03-30 18:02:36 PDT
http://hg.mozilla.org/mobile-browser/rev/796cf934cfd1
Comment 18 Andreea Pod 2011-04-15 05:39:52 PDT
Verified on build: Mozilla /5.0 (Android;Linux armv7l;rv:5.0a2) Gecko/20110414
Firefox/5.0a2 Fennec/5.0a2 
Device: LG Optimus 2X (Android 2.2)

The suggestion pop-up flickers when taping in the text field or when you dismiss the keyboard, can you see this too?

Note You need to log in before you can comment on or make changes to this bug.